Pre-General Availability: 2026-02-23

Create New Wallet for Current User

post

/v1/wallets

Creates and returns the details of a new EOA wallet address for the authenticated caller.

Optional label can be passed for identification purposes.

Request

Header Parameters
  • Optional request correlation identifier. Echoed in responses when provided and forwarded upstream.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request to create a wallet for the current user.
Show Source
Examples

Back to Top

Response

Supported Media Types

201 Response

Wallet created
Body ()
Root Schema : Wallet
Type: object
Wallet record as returned by the wallet service
Show Source
Examples

400 Response

Invalid request (example, label does not satisfy configured constraints)
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)

500 Response

Internal error
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)

502 Response

Upstream wallet service error
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
Back to Top